/* SysBar installation file               */
/* Unzip the sysbar distribution zip here */
/* 05.07.2002: created                    */

parse arg target source

/* get additional parameters from environment */
product_log       = value("PRODUCT_LOG"      , ,"OS2ENVIRONMENT")
product_drv       = value("PRODUCT_DRV"      , ,"OS2ENVIRONMENT")
product_path      = value("PRODUCT_PATH"     , ,"OS2ENVIRONMENT")
inst_dir          = value("INST_DIR"         , ,"OS2ENVIRONMENT")

/* exit if package does not exist */
if stream(inst_dir'\sysbar2.dll', 'c', 'query exists') = '' then exit 9

/* copy files */
dest_dir = product_drv'\'product_path
'xcopy 'inst_dir'\* 'dest_dir'\. /S >> 'product_log' 2>>&1'
'del 'dest_dir'\addonins.cmd >> 'product_log

/* remove RO attributes */
call RxFuncAdd SysFileTree, RexxUtil, SysFileTree
call SysFileTree dest_dir'\*', 'tmp.', 'SO',,'**---'

/* create objects */
cdir = directory()
rc   = directory(dest_dir)
'call 'dest_dir'\SB2_FLDR.CMD >> 'product_log
rc   = directory(cdir)

exit
